Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class ConditionFragment

    java.lang.Object
      org.hibernate.sql.ConditionFragment

    public class ConditionFragment

extends Object

Constructor Summary
`ConditionFragment()`

Method Summary
`ConditionFragment` | `setCondition(String[] lhs, String rhs)`
`ConditionFragment` | `setCondition(String[] lhs, String[] rhs)`
`ConditionFragment` | `setOp(String op)` Sets the op.
`ConditionFragment` | `setTableAlias(String tableAlias)` Sets the tableAlias.
`String` | `toFragmentString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionFragment

    public ConditionFragment()

Method Detail

### setOp

    public ConditionFragment setOp(String op)

  Sets the op.

  Parameters:
    `op` - The op to set

### setTableAlias

    public ConditionFragment setTableAlias(String tableAlias)

  Sets the tableAlias.

  Parameters:
    `tableAlias` - The tableAlias to set

### setCondition

    public ConditionFragment setCondition(String[] lhs,
                                          String[] rhs)

### setCondition

    public ConditionFragment setCondition(String[] lhs,
                                          String rhs)

### toFragmentString

    public String toFragmentString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.